version: "2"

services:
  fftcg:
    build: .
    command: "yarn debug"
    restart: "no"
    volumes:
      - "${PWD}/src:/app/src"
      - "${PWD}/views:/app/views:ro"
      - "${PWD}/public_html:/app/public_html"
      - "${PWD}/inc:/app/inc:ro"
      - "${PWD}/server.coffee:/app/server.coffee:ro"
      # - "${PWD}/fftcg.db:/app/fftcg.db"
    ports:
      - "3000:3000"

  redis:
    image: redis:alpine
    restart: "no"
